Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl
Class QueryPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.QueryPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, QueryPackage

    public class QueryPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements QueryPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.QueryPackage
`QueryPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.QueryPackage
`ADHOC_QUERY_QUERY_TYPE, ADHOC_QUERY_QUERY_TYPE__CLASSIFICATION_QUERY, ADHOC_QUERY_QUERY_TYPE__DESCRIPTION_BRANCH, ADHOC_QUERY_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, ADHOC_QUERY_QUERY_TYPE__NAME_BRANCH, ADHOC_QUERY_QUERY_TYPE__OBJECT_TYPE_QUERY, ADHOC_QUERY_QUERY_TYPE__PRIMARY_FILTER, ADHOC_QUERY_QUERY_TYPE__QUERY_EXPRESSION_BRANCH, ADHOC_QUERY_QUERY_TYPE__SLOT_BRANCH, ADHOC_QUERY_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, ADHOC_QUERY_QUERY_TYPE__STATUS_QUERY, ADHOC_QUERY_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, ADHOC_QUERY_QUERY_TYPE__VERSION_INFO_FILTER, ADHOC_QUERY_QUERY_TYPE_FEATURE_COUNT, ADHOC_QUERY_REQUEST_TYPE, ADHOC_QUERY_REQUEST_TYPE__ADHOC_QUERY, ADHOC_QUERY_REQUEST_TYPE__COMMENT, ADHOC_QUERY_REQUEST_TYPE__FEDERATED, ADHOC_QUERY_REQUEST_TYPE__FEDERATION, ADHOC_QUERY_REQUEST_TYPE__ID, ADHOC_QUERY_REQUEST_TYPE__MAX_RESULTS, ADHOC_QUERY_REQUEST_TYPE__REQUEST_SLOT_LIST, ADHOC_QUERY_REQUEST_TYPE__RESPONSE_OPTION, ADHOC_QUERY_REQUEST_TYPE__START_INDEX, ADHOC_QUERY_REQUEST_TYPE_FEATURE_COUNT, ADHOC_QUERY_RESPONSE_TYPE, ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_ERROR_LIST, ADHOC_QUERY_RESPONSE_TYPE__REGISTRY_OBJECT_LIST, ADHOC_QUERY_RESPONSE_TYPE__REQUEST_ID, ADHOC_QUERY_RESPONSE_TYPE__RESPONSE_SLOT_LIST, ADHOC_QUERY_RESPONSE_TYPE__START_INDEX, ADHOC_QUERY_RESPONSE_TYPE__STATUS, ADHOC_QUERY_RESPONSE_TYPE__TOTAL_RESULT_COUNT, ADHOC_QUERY_RESPONSE_TYPE_FEATURE_COUNT, ASSOCIATION_QUERY_TYPE, ASSOCIATION_QUERY_TYPE__ASSOCIATION_TYPE_QUERY, ASSOCIATION_QUERY_TYPE__CLASSIFICATION_QUERY, ASSOCIATION_QUERY_TYPE__DESCRIPTION_BRANCH, ASSOCIATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, ASSOCIATION_QUERY_TYPE__NAME_BRANCH, ASSOCIATION_QUERY_TYPE__OBJECT_TYPE_QUERY, ASSOCIATION_QUERY_TYPE__PRIMARY_FILTER, ASSOCIATION_QUERY_TYPE__SLOT_BRANCH, ASSOCIATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, ASSOCIATION_QUERY_TYPE__SOURCE_OBJECT_QUERY, ASSOCIATION_QUERY_TYPE__STATUS_QUERY, ASSOCIATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, ASSOCIATION_QUERY_TYPE__TARGET_OBJECT_QUERY, ASSOCIATION_QUERY_TYPE__VERSION_INFO_FILTER, ASSOCIATION_QUERY_TYPE_FEATURE_COUNT, AUDITABLE_EVENT_QUERY_TYPE, AUDITABLE_EVENT_QUERY_TYPE__AFFECTED_OBJECT_QUERY, AUDITABLE_EVENT_QUERY_TYPE__EVENT_TYPE_QUERY, AUDITABLE_EVENT_QUERY_TYPE__PRIMARY_FILTER, AUDITABLE_EVENT_QUERY_TYPE__USER_QUERY, AUDITABLE_EVENT_QUERY_TYPE_FEATURE_COUNT, BOOLEAN_FILTER_TYPE, BOOLEAN_FILTER_TYPE__COMPARATOR, BOOLEAN_FILTER_TYPE__DOMAIN_ATTRIBUTE, BOOLEAN_FILTER_TYPE__NEGATE, BOOLEAN_FILTER_TYPE__VALUE, BOOLEAN_FILTER_TYPE_FEATURE_COUNT, BRANCH_TYPE, BRANCH_TYPE__PRIMARY_FILTER, BRANCH_TYPE_FEATURE_COUNT, CLASSIFICATION_NODE_QUERY_TYPE, CLASSIFICATION_NODE_QUERY_TYPE__CHILDREN_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__CLASSIFICATION_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__DESCRIPTION_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__NAME_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__OBJECT_TYPE_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__PARENT_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__PRIMARY_FILTER, CLASSIFICATION_NODE_QUERY_TYPE__SLOT_BRANCH, CLASSIFICATION_NODE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__STATUS_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, CLASSIFICATION_NODE_QUERY_TYPE__VERSION_INFO_FILTER, CLASSIFICATION_NODE_QUERY_TYPE_FEATURE_COUNT, CLASSIFICATION_QUERY_TYPE, CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_NODE_QUERY, CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_QUERY, CLASSIFICATION_QUERY_TYPE__CLASSIFICATION_SCHEME_QUERY, CLASSIFICATION_QUERY_TYPE__CLASSIFIED_OBJECT_QUERY, CLASSIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH, CLASSIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, CLASSIFICATION_QUERY_TYPE__NAME_BRANCH, CLASSIFICATION_QUERY_TYPE__OBJECT_TYPE_QUERY, CLASSIFICATION_QUERY_TYPE__PRIMARY_FILTER, CLASSIFICATION_QUERY_TYPE__SLOT_BRANCH, CLASSIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, CLASSIFICATION_QUERY_TYPE__STATUS_QUERY, CLASSIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, CLASSIFICATION_QUERY_TYPE__VERSION_INFO_FILTER, CLASSIFICATION_QUERY_TYPE_FEATURE_COUNT, CLASSIFICATION_SCHEME_QUERY_TYPE, CLASSIFICATION_SCHEME_QUERY_TYPE__CHILDREN_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__CLASSIFICATION_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__DESCRIPTION_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__NAME_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE__NODE_TYPE_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__OBJECT_TYPE_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__PRIMARY_FILTER, CLASSIFICATION_SCHEME_QUERY_TYPE__SLOT_BRANCH, CLASSIFICATION_SCHEME_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__STATUS_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, CLASSIFICATION_SCHEME_QUERY_TYPE__VERSION_INFO_FILTER, CLASSIFICATION_SCHEME_QUERY_TYPE_FEATURE_COUNT, COMPARATOR_TYPE, COMPARATOR_TYPE_OBJECT, COMPOUND_FILTER_TYPE, COMPOUND_FILTER_TYPE__LEFT_FILTER, COMPOUND_FILTER_TYPE__LOGICAL_OPERATOR, COMPOUND_FILTER_TYPE__NEGATE, COMPOUND_FILTER_TYPE__RIGHT_FILTER, COMPOUND_FILTER_TYPE_FEATURE_COUNT, DATE_TIME_FILTER_TYPE, DATE_TIME_FILTER_TYPE__COMPARATOR, DATE_TIME_FILTER_TYPE__DOMAIN_ATTRIBUTE, DATE_TIME_FILTER_TYPE__NEGATE, DATE_TIME_FILTER_TYPE__VALUE, DATE_TIME_FILTER_TYPE_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__ADHOC_QUERY_QUERY, DOCUMENT_ROOT__ADHOC_QUERY_REQUEST, DOCUMENT_ROOT__ADHOC_QUERY_RESPONSE, DOCUMENT_ROOT__ASSOCIATION_QUERY, DOCUMENT_ROOT__AUDITABLE_EVENT_QUERY, DOCUMENT_ROOT__BOOLEAN_FILTER, DOCUMENT_ROOT__CLASSIFICATION_NODE_QUERY, DOCUMENT_ROOT__CLASSIFICATION_QUERY, DOCUMENT_ROOT__CLASSIFICATION_SCHEME_QUERY, DOCUMENT_ROOT__COMPOUND_FILTER, DOCUMENT_ROOT__DATE_TIME_FILTER, DOCUMENT_ROOT__EXTERNAL_IDENTIFIER_QUERY, DOCUMENT_ROOT__EXTERNAL_LINK_QUERY, DOCUMENT_ROOT__EXTRINSIC_OBJECT_QUERY, DOCUMENT_ROOT__FEDERATION_QUERY, DOCUMENT_ROOT__FILTER, DOCUMENT_ROOT__FLOAT_FILTER, DOCUMENT_ROOT__INTEGER_FILTER, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__NOTIFICATION_QUERY, DOCUMENT_ROOT__ORGANIZATION_QUERY, DOCUMENT_ROOT__REGISTRY_OBJECT_QUERY, DOCUMENT_ROOT__REGISTRY_PACKAGE_QUERY, DOCUMENT_ROOT__REGISTRY_QUERY, DOCUMENT_ROOT__RESPONSE_OPTION, DOCUMENT_ROOT__SERVICE_BINDING_QUERY, DOCUMENT_ROOT__SERVICE_QUERY, DOCUMENT_ROOT__SPECIFICATION_LINK_QUERY, DOCUMENT_ROOT__STRING_FILTER, DOCUMENT_ROOT__SUBSCRIPTION_QUERY, DOCUMENT_ROOT__USER_QUERY, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXTERNAL_IDENTIFIER_QUERY_TYPE, EXTERNAL_IDENTIFIER_QUERY_TYPE__CLASSIFICATION_QUERY, EXTERNAL_IDENTIFIER_QUERY_TYPE__DESCRIPTION_BRANCH, EXTERNAL_IDENTIFIER_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, EXTERNAL_IDENTIFIER_QUERY_TYPE__IDENTIFICATION_SCHEME_QUERY, EXTERNAL_IDENTIFIER_QUERY_TYPE__NAME_BRANCH, EXTERNAL_IDENTIFIER_QUERY_TYPE__OBJECT_TYPE_QUERY, EXTERNAL_IDENTIFIER_QUERY_TYPE__PRIMARY_FILTER, EXTERNAL_IDENTIFIER_QUERY_TYPE__REGISTRY_OBJECT_QUERY, EXTERNAL_IDENTIFIER_QUERY_TYPE__SLOT_BRANCH, EXTERNAL_IDENTIFIER_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, EXTERNAL_IDENTIFIER_QUERY_TYPE__STATUS_QUERY, EXTERNAL_IDENTIFIER_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, EXTERNAL_IDENTIFIER_QUERY_TYPE__VERSION_INFO_FILTER, EXTERNAL_IDENTIFIER_QUERY_TYPE_FEATURE_COUNT, EXTERNAL_LINK_QUERY_TYPE, EXTERNAL_LINK_QUERY_TYPE__CLASSIFICATION_QUERY, EXTERNAL_LINK_QUERY_TYPE__DESCRIPTION_BRANCH, EXTERNAL_LINK_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, EXTERNAL_LINK_QUERY_TYPE__NAME_BRANCH, EXTERNAL_LINK_QUERY_TYPE__OBJECT_TYPE_QUERY, EXTERNAL_LINK_QUERY_TYPE__PRIMARY_FILTER, EXTERNAL_LINK_QUERY_TYPE__SLOT_BRANCH, EXTERNAL_LINK_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, EXTERNAL_LINK_QUERY_TYPE__STATUS_QUERY, EXTERNAL_LINK_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, EXTERNAL_LINK_QUERY_TYPE__VERSION_INFO_FILTER, EXTERNAL_LINK_QUERY_TYPE_FEATURE_COUNT, EXTRINSIC_OBJECT_QUERY_TYPE, EXTRINSIC_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY, EXTRINSIC_OBJECT_QUERY_TYPE__CONTENT_VERSION_INFO_FILTER, EXTRINSIC_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, EXTRINSIC_OBJECT_QUERY_TYPE__NAME_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY, EXTRINSIC_OBJECT_QUERY_TYPE__PRIMARY_FILTER, EXTRINSIC_OBJECT_QUERY_TYPE__SLOT_BRANCH, EXTRINSIC_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, EXTRINSIC_OBJECT_QUERY_TYPE__STATUS_QUERY, EXTRINSIC_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, EXTRINSIC_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER, EXTRINSIC_OBJECT_QUERY_TYPE_FEATURE_COUNT, FEDERATION_QUERY_TYPE, FEDERATION_QUERY_TYPE__CLASSIFICATION_QUERY, FEDERATION_QUERY_TYPE__DESCRIPTION_BRANCH, FEDERATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, FEDERATION_QUERY_TYPE__NAME_BRANCH, FEDERATION_QUERY_TYPE__OBJECT_TYPE_QUERY, FEDERATION_QUERY_TYPE__PRIMARY_FILTER, FEDERATION_QUERY_TYPE__SLOT_BRANCH, FEDERATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, FEDERATION_QUERY_TYPE__STATUS_QUERY, FEDERATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, FEDERATION_QUERY_TYPE__VERSION_INFO_FILTER, FEDERATION_QUERY_TYPE_FEATURE_COUNT, FILTER_QUERY_TYPE, FILTER_QUERY_TYPE__PRIMARY_FILTER, FILTER_QUERY_TYPE_FEATURE_COUNT, FILTER_TYPE, FILTER_TYPE__NEGATE, FILTER_TYPE_FEATURE_COUNT, FLOAT_FILTER_TYPE, FLOAT_FILTER_TYPE__COMPARATOR, FLOAT_FILTER_TYPE__DOMAIN_ATTRIBUTE, FLOAT_FILTER_TYPE__NEGATE, FLOAT_FILTER_TYPE__VALUE, FLOAT_FILTER_TYPE_FEATURE_COUNT, INTEGER_FILTER_TYPE, INTEGER_FILTER_TYPE__COMPARATOR, INTEGER_FILTER_TYPE__DOMAIN_ATTRIBUTE, INTEGER_FILTER_TYPE__NEGATE, INTEGER_FILTER_TYPE__VALUE, INTEGER_FILTER_TYPE_FEATURE_COUNT, INTERNATIONAL_STRING_BRANCH_TYPE, INTERNATIONAL_STRING_BRANCH_TYPE__LOCALIZED_STRING_FILTER, INTERNATIONAL_STRING_BRANCH_TYPE__PRIMARY_FILTER, INTERNATIONAL_STRING_BRANCH_TYPE_FEATURE_COUNT, LOGICAL_OPERATOR_TYPE, LOGICAL_OPERATOR_TYPE_OBJECT, NOTIFICATION_QUERY_TYPE, NOTIFICATION_QUERY_TYPE__CLASSIFICATION_QUERY, NOTIFICATION_QUERY_TYPE__DESCRIPTION_BRANCH, NOTIFICATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, NOTIFICATION_QUERY_TYPE__NAME_BRANCH, NOTIFICATION_QUERY_TYPE__OBJECT_TYPE_QUERY, NOTIFICATION_QUERY_TYPE__PRIMARY_FILTER, NOTIFICATION_QUERY_TYPE__REGISTRY_OBJECT_QUERY, NOTIFICATION_QUERY_TYPE__SLOT_BRANCH, NOTIFICATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, NOTIFICATION_QUERY_TYPE__STATUS_QUERY, NOTIFICATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, NOTIFICATION_QUERY_TYPE__VERSION_INFO_FILTER, NOTIFICATION_QUERY_TYPE_FEATURE_COUNT, ORGANIZATION_QUERY_TYPE, ORGANIZATION_QUERY_TYPE__ADDRESS_FILTER, ORGANIZATION_QUERY_TYPE__CHILD_ORGANIZATION_QUERY, ORGANIZATION_QUERY_TYPE__CLASSIFICATION_QUERY, ORGANIZATION_QUERY_TYPE__DESCRIPTION_BRANCH, ORGANIZATION_QUERY_TYPE__EMAIL_ADDRESSE_FILTER, ORGANIZATION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, ORGANIZATION_QUERY_TYPE__NAME_BRANCH, ORGANIZATION_QUERY_TYPE__OBJECT_TYPE_QUERY, ORGANIZATION_QUERY_TYPE__PARENT_QUERY, ORGANIZATION_QUERY_TYPE__PRIMARY_CONTACT_QUERY, ORGANIZATION_QUERY_TYPE__PRIMARY_FILTER, ORGANIZATION_QUERY_TYPE__SLOT_BRANCH, ORGANIZATION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, ORGANIZATION_QUERY_TYPE__STATUS_QUERY, ORGANIZATION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, ORGANIZATION_QUERY_TYPE__TELEPHONE_NUMBER_FILTER, ORGANIZATION_QUERY_TYPE__VERSION_INFO_FILTER, ORGANIZATION_QUERY_TYPE_FEATURE_COUNT, PERSON_QUERY_TYPE, PERSON_QUERY_TYPE__ADDRESS_FILTER, PERSON_QUERY_TYPE__CLASSIFICATION_QUERY, PERSON_QUERY_TYPE__DESCRIPTION_BRANCH, PERSON_QUERY_TYPE__EMAIL_ADDRESSE_FILTER, PERSON_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, PERSON_QUERY_TYPE__NAME_BRANCH, PERSON_QUERY_TYPE__OBJECT_TYPE_QUERY, PERSON_QUERY_TYPE__PERSON_NAME_FILTER, PERSON_QUERY_TYPE__PRIMARY_FILTER, PERSON_QUERY_TYPE__SLOT_BRANCH, PERSON_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, PERSON_QUERY_TYPE__STATUS_QUERY, PERSON_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, PERSON_QUERY_TYPE__TELEPHONE_NUMBER_FILTER, PERSON_QUERY_TYPE__VERSION_INFO_FILTER, PERSON_QUERY_TYPE_FEATURE_COUNT, QUERY_EXPRESSION_BRANCH_TYPE, QUERY_EXPRESSION_BRANCH_TYPE__PRIMARY_FILTER, QUERY_EXPRESSION_BRANCH_TYPE__QUERY_LANGUAGE_QUERY, QUERY_EXPRESSION_BRANCH_TYPE_FEATURE_COUNT, REGISTRY_OBJECT_QUERY_TYPE, REGISTRY_OBJECT_QUERY_TYPE__CLASSIFICATION_QUERY, REGISTRY_OBJECT_QUERY_TYPE__DESCRIPTION_BRANCH, REGISTRY_OBJECT_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, REGISTRY_OBJECT_QUERY_TYPE__NAME_BRANCH, REGISTRY_OBJECT_QUERY_TYPE__OBJECT_TYPE_QUERY, REGISTRY_OBJECT_QUERY_TYPE__PRIMARY_FILTER, REGISTRY_OBJECT_QUERY_TYPE__SLOT_BRANCH, REGISTRY_OBJECT_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, REGISTRY_OBJECT_QUERY_TYPE__STATUS_QUERY, REGISTRY_OBJECT_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, REGISTRY_OBJECT_QUERY_TYPE__VERSION_INFO_FILTER, REGISTRY_OBJECT_QUERY_TYPE_FEATURE_COUNT, REGISTRY_PACKAGE_QUERY_TYPE, REGISTRY_PACKAGE_QUERY_TYPE__CLASSIFICATION_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__DESCRIPTION_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__NAME_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE__OBJECT_TYPE_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__PRIMARY_FILTER, REGISTRY_PACKAGE_QUERY_TYPE__REGISTRY_OBJECT_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__SLOT_BRANCH, REGISTRY_PACKAGE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__STATUS_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, REGISTRY_PACKAGE_QUERY_TYPE__VERSION_INFO_FILTER, REGISTRY_PACKAGE_QUERY_TYPE_FEATURE_COUNT, REGISTRY_QUERY_TYPE, REGISTRY_QUERY_TYPE__CLASSIFICATION_QUERY, REGISTRY_QUERY_TYPE__DESCRIPTION_BRANCH, REGISTRY_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, REGISTRY_QUERY_TYPE__NAME_BRANCH, REGISTRY_QUERY_TYPE__OBJECT_TYPE_QUERY, REGISTRY_QUERY_TYPE__OPERATOR_QUERY, REGISTRY_QUERY_TYPE__PRIMARY_FILTER, REGISTRY_QUERY_TYPE__SLOT_BRANCH, REGISTRY_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, REGISTRY_QUERY_TYPE__STATUS_QUERY, REGISTRY_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, REGISTRY_QUERY_TYPE__VERSION_INFO_FILTER, REGISTRY_QUERY_TYPE_FEATURE_COUNT, RESPONSE_OPTION_TYPE, RESPONSE_OPTION_TYPE__RETURN_COMPOSED_OBJECTS, RESPONSE_OPTION_TYPE__RETURN_TYPE, RESPONSE_OPTION_TYPE_FEATURE_COUNT, RETURN_TYPE_TYPE, RETURN_TYPE_TYPE_OBJECT, SERVICE_BINDING_QUERY_TYPE, SERVICE_BINDING_QUERY_TYPE__CLASSIFICATION_QUERY, SERVICE_BINDING_QUERY_TYPE__DESCRIPTION_BRANCH, SERVICE_BINDING_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, SERVICE_BINDING_QUERY_TYPE__NAME_BRANCH, SERVICE_BINDING_QUERY_TYPE__OBJECT_TYPE_QUERY, SERVICE_BINDING_QUERY_TYPE__PRIMARY_FILTER, SERVICE_BINDING_QUERY_TYPE__SERVICE_QUERY, SERVICE_BINDING_QUERY_TYPE__SLOT_BRANCH, SERVICE_BINDING_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, SERVICE_BINDING_QUERY_TYPE__SPECIFICATION_LINK_QUERY, SERVICE_BINDING_QUERY_TYPE__STATUS_QUERY, SERVICE_BINDING_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, SERVICE_BINDING_QUERY_TYPE__TARGET_BINDING_QUERY, SERVICE_BINDING_QUERY_TYPE__VERSION_INFO_FILTER, SERVICE_BINDING_QUERY_TYPE_FEATURE_COUNT, SERVICE_QUERY_TYPE, SERVICE_QUERY_TYPE__CLASSIFICATION_QUERY, SERVICE_QUERY_TYPE__DESCRIPTION_BRANCH, SERVICE_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, SERVICE_QUERY_TYPE__NAME_BRANCH, SERVICE_QUERY_TYPE__OBJECT_TYPE_QUERY, SERVICE_QUERY_TYPE__PRIMARY_FILTER, SERVICE_QUERY_TYPE__SERVICE_BINDING_QUERY, SERVICE_QUERY_TYPE__SLOT_BRANCH, SERVICE_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, SERVICE_QUERY_TYPE__STATUS_QUERY, SERVICE_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, SERVICE_QUERY_TYPE__VERSION_INFO_FILTER, SERVICE_QUERY_TYPE_FEATURE_COUNT, SIMPLE_FILTER_TYPE, SIMPLE_FILTER_TYPE__COMPARATOR, SIMPLE_FILTER_TYPE__DOMAIN_ATTRIBUTE, SIMPLE_FILTER_TYPE__NEGATE, SIMPLE_FILTER_TYPE_FEATURE_COUNT, SLOT_BRANCH_TYPE, SLOT_BRANCH_TYPE__PRIMARY_FILTER, SLOT_BRANCH_TYPE_FEATURE_COUNT, SPECIFICATION_LINK_QUERY_TYPE, SPECIFICATION_LINK_QUERY_TYPE__CLASSIFICATION_QUERY, SPECIFICATION_LINK_QUERY_TYPE__DESCRIPTION_BRANCH, SPECIFICATION_LINK_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, SPECIFICATION_LINK_QUERY_TYPE__NAME_BRANCH, SPECIFICATION_LINK_QUERY_TYPE__OBJECT_TYPE_QUERY, SPECIFICATION_LINK_QUERY_TYPE__PRIMARY_FILTER, SPECIFICATION_LINK_QUERY_TYPE__SERVICE_BINDING_QUERY, SPECIFICATION_LINK_QUERY_TYPE__SLOT_BRANCH, SPECIFICATION_LINK_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, SPECIFICATION_LINK_QUERY_TYPE__SPECIFICATION_OBJECT_QUERY, SPECIFICATION_LINK_QUERY_TYPE__STATUS_QUERY, SPECIFICATION_LINK_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, SPECIFICATION_LINK_QUERY_TYPE__USAGE_DESCRIPTION_BRANCH, SPECIFICATION_LINK_QUERY_TYPE__VERSION_INFO_FILTER, SPECIFICATION_LINK_QUERY_TYPE_FEATURE_COUNT, STRING_FILTER_TYPE, STRING_FILTER_TYPE__COMPARATOR, STRING_FILTER_TYPE__DOMAIN_ATTRIBUTE, STRING_FILTER_TYPE__NEGATE, STRING_FILTER_TYPE__VALUE, STRING_FILTER_TYPE_FEATURE_COUNT, SUBSCRIPTION_QUERY_TYPE, SUBSCRIPTION_QUERY_TYPE__CLASSIFICATION_QUERY, SUBSCRIPTION_QUERY_TYPE__DESCRIPTION_BRANCH, SUBSCRIPTION_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, SUBSCRIPTION_QUERY_TYPE__NAME_BRANCH, SUBSCRIPTION_QUERY_TYPE__OBJECT_TYPE_QUERY, SUBSCRIPTION_QUERY_TYPE__PRIMARY_FILTER, SUBSCRIPTION_QUERY_TYPE__SELECTOR_QUERY, SUBSCRIPTION_QUERY_TYPE__SLOT_BRANCH, SUBSCRIPTION_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, SUBSCRIPTION_QUERY_TYPE__STATUS_QUERY, SUBSCRIPTION_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, SUBSCRIPTION_QUERY_TYPE__VERSION_INFO_FILTER, SUBSCRIPTION_QUERY_TYPE_FEATURE_COUNT, USER_QUERY_TYPE, USER_QUERY_TYPE__ADDRESS_FILTER, USER_QUERY_TYPE__CLASSIFICATION_QUERY, USER_QUERY_TYPE__DESCRIPTION_BRANCH, USER_QUERY_TYPE__EMAIL_ADDRESSE_FILTER, USER_QUERY_TYPE__EXTERNAL_IDENTIFIER_QUERY, USER_QUERY_TYPE__NAME_BRANCH, USER_QUERY_TYPE__OBJECT_TYPE_QUERY, USER_QUERY_TYPE__PERSON_NAME_FILTER, USER_QUERY_TYPE__PRIMARY_FILTER, USER_QUERY_TYPE__SLOT_BRANCH, USER_QUERY_TYPE__SOURCE_ASSOCIATION_QUERY, USER_QUERY_TYPE__STATUS_QUERY, USER_QUERY_TYPE__TARGET_ASSOCIATION_QUERY, USER_QUERY_TYPE__TELEPHONE_NUMBER_FILTER, USER_QUERY_TYPE__VERSION_INFO_FILTER, USER_QUERY_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryQueryType_QueryExpressionBranch()`
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryQueryType()`
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryRequestType_AdhocQuery()`
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_Federated()`
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_Federation()`
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_MaxResults()`
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryRequestType_ResponseOption()`
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryRequestType_StartIndex()`
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryRequestType()`
`org.eclipse.emf.ecore.EReference` | `getAdhocQueryResponseType_RegistryObjectList()`
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryResponseType_StartIndex()`
`org.eclipse.emf.ecore.EAttribute` | `getAdhocQueryResponseType_TotalResultCount()`
`org.eclipse.emf.ecore.EClass` | `getAdhocQueryResponseType()`
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryType_AssociationTypeQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryType_SourceObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getAssociationQueryType_TargetObjectQuery()`
`org.eclipse.emf.ecore.EClass` | `getAssociationQueryType()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_AffectedObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_EventTypeQuery()`
`org.eclipse.emf.ecore.EReference` | `getAuditableEventQueryType_UserQuery()`
`org.eclipse.emf.ecore.EClass` | `getAuditableEventQueryType()`
`org.eclipse.emf.ecore.EAttribute` | `getBooleanFilterType_Value()`
`org.eclipse.emf.ecore.EClass` | `getBooleanFilterType()`
`org.eclipse.emf.ecore.EClass` | `getBranchType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ChildrenQuery()`
`org.eclipse.emf.ecore.EReference` | `getClassificationNodeQueryType_ParentQuery()`
`org.eclipse.emf.ecore.EClass` | `getClassificationNodeQueryType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationNodeQuery()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassificationSchemeQuery()`
`org.eclipse.emf.ecore.EReference` | `getClassificationQueryType_ClassifiedObjectQuery()`
`org.eclipse.emf.ecore.EClass` | `getClassificationQueryType()`
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryType_ChildrenQuery()`
`org.eclipse.emf.ecore.EReference` | `getClassificationSchemeQueryType_NodeTypeQuery()`
`org.eclipse.emf.ecore.EClass` | `getClassificationSchemeQueryType()`
`org.eclipse.emf.ecore.EEnum` | `getComparatorType()`
`org.eclipse.emf.ecore.EDataType` | `getComparatorTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getCompoundFilterType_LeftFilter()`
`org.eclipse.emf.ecore.EAttribute` | `getCompoundFilterType_LogicalOperator()`
`org.eclipse.emf.ecore.EReference` | `getCompoundFilterType_RightFilter()`
`org.eclipse.emf.ecore.EClass` | `getCompoundFilterType()`
`org.eclipse.emf.ecore.EAttribute` | `getDateTimeFilterType_Value()`
`org.eclipse.emf.ecore.EClass` | `getDateTimeFilterType()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AdhocQueryResponse()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AssociationQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_AuditableEventQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_BooleanFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationNodeQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ClassificationSchemeQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_CompoundFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DateTimeFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalIdentifierQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExternalLinkQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ExtrinsicObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FederationQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Filter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_FloatFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_IntegerFilter()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_NotificationQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_OrganizationQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryPackageQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_RegistryQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ResponseOption()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceBindingQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ServiceQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SpecificationLinkQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_StringFilter()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SubscriptionQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_UserQuery()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`org.eclipse.emf.ecore.EReference` | `getExternalIdentifierQueryType_IdentificationSchemeQuery()`
`org.eclipse.emf.ecore.EReference` | `getExternalIdentifierQueryType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EClass` | `getExternalIdentifierQueryType()`
`org.eclipse.emf.ecore.EClass` | `getExternalLinkQueryType()`
`org.eclipse.emf.ecore.EReference` | `getExtrinsicObjectQueryType_ContentVersionInfoFilter()`
`org.eclipse.emf.ecore.EClass` | `getExtrinsicObjectQueryType()`
`org.eclipse.emf.ecore.EClass` | `getFederationQueryType()`
`org.eclipse.emf.ecore.EReference` | `getFilterQueryType_PrimaryFilter()`
`org.eclipse.emf.ecore.EClass` | `getFilterQueryType()`
`org.eclipse.emf.ecore.EAttribute` | `getFilterType_Negate()`
`org.eclipse.emf.ecore.EClass` | `getFilterType()`
`org.eclipse.emf.ecore.EAttribute` | `getFloatFilterType_Value()`
`org.eclipse.emf.ecore.EClass` | `getFloatFilterType()`
`org.eclipse.emf.ecore.EAttribute` | `getIntegerFilterType_Value()`
`org.eclipse.emf.ecore.EClass` | `getIntegerFilterType()`
`org.eclipse.emf.ecore.EReference` | `getInternationalStringBranchType_LocalizedStringFilter()`
`org.eclipse.emf.ecore.EClass` | `getInternationalStringBranchType()`
`org.eclipse.emf.ecore.EEnum` | `getLogicalOperatorType()`
`org.eclipse.emf.ecore.EDataType` | `getLogicalOperatorTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getNotificationQueryType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EClass` | `getNotificationQueryType()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_AddressFilter()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_ChildOrganizationQuery()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_EmailAddresseFilter()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_ParentQuery()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_PrimaryContactQuery()`
`org.eclipse.emf.ecore.EReference` | `getOrganizationQueryType_TelephoneNumberFilter()`
`org.eclipse.emf.ecore.EClass` | `getOrganizationQueryType()`
`org.eclipse.emf.ecore.EReference` | `getPersonQueryType_AddressFilter()`
`org.eclipse.emf.ecore.EReference` | `getPersonQueryType_EmailAddresseFilter()`
`org.eclipse.emf.ecore.EReference` | `getPersonQueryType_PersonNameFilter()`
`org.eclipse.emf.ecore.EReference` | `getPersonQueryType_TelephoneNumberFilter()`
`org.eclipse.emf.ecore.EClass` | `getPersonQueryType()`
`org.eclipse.emf.ecore.EReference` | `getQueryExpressionBranchType_QueryLanguageQuery()`
`org.eclipse.emf.ecore.EClass` | `getQueryExpressionBranchType()`
`QueryFactory` | `getQueryFactory()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ClassificationQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_DescriptionBranch()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ExternalIdentifierQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_NameBranch()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_ObjectTypeQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_SlotBranch()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_SourceAssociationQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_StatusQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_TargetAssociationQuery()`
`org.eclipse.emf.ecore.EReference` | `getRegistryObjectQueryType_VersionInfoFilter()`
`org.eclipse.emf.ecore.EClass` | `getRegistryObjectQueryType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryPackageQueryType_RegistryObjectQuery()`
`org.eclipse.emf.ecore.EClass` | `getRegistryPackageQueryType()`
`org.eclipse.emf.ecore.EReference` | `getRegistryQueryType_OperatorQuery()`
`org.eclipse.emf.ecore.EClass` | `getRegistryQueryType()`
`org.eclipse.emf.ecore.EAttribute` | `getResponseOptionType_ReturnComposedObjects()`
`org.eclipse.emf.ecore.EAttribute` | `getResponseOptionType_ReturnType()`
`org.eclipse.emf.ecore.EClass` | `getResponseOptionType()`
`org.eclipse.emf.ecore.EEnum` | `getReturnTypeType()`
`org.eclipse.emf.ecore.EDataType` | `getReturnTypeTypeObject()`
`org.eclipse.emf.ecore.EReference` | `getServiceBindingQueryType_ServiceQuery()`
`org.eclipse.emf.ecore.EReference` | `getServiceBindingQueryType_SpecificationLinkQuery()`
`org.eclipse.emf.ecore.EReference` | `getServiceBindingQueryType_TargetBindingQuery()`
`org.eclipse.emf.ecore.EClass` | `getServiceBindingQueryType()`
`org.eclipse.emf.ecore.EReference` | `getServiceQueryType_ServiceBindingQuery()`
`org.eclipse.emf.ecore.EClass` | `getServiceQueryType()`
`org.eclipse.emf.ecore.EAttribute` | `getSimpleFilterType_Comparator()`
`org.eclipse.emf.ecore.EAttribute` | `getSimpleFilterType_DomainAttribute()`
`org.eclipse.emf.ecore.EClass` | `getSimpleFilterType()`
`org.eclipse.emf.ecore.EClass` | `getSlotBranchType()`
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkQueryType_ServiceBindingQuery()`
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkQueryType_SpecificationObjectQuery()`
`org.eclipse.emf.ecore.EReference` | `getSpecificationLinkQueryType_UsageDescriptionBranch()`
`org.eclipse.emf.ecore.EClass` | `getSpecificationLinkQueryType()`
`org.eclipse.emf.ecore.EAttribute` | `getStringFilterType_Value()`
`org.eclipse.emf.ecore.EClass` | `getStringFilterType()`
`org.eclipse.emf.ecore.EReference` | `getSubscriptionQueryType_SelectorQuery()`
`org.eclipse.emf.ecore.EClass` | `getSubscriptionQueryType()`
`org.eclipse.emf.ecore.EClass` | `getUserQueryType()`
`static QueryPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static QueryPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `QueryPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAdhocQueryQueryType

    public org.eclipse.emf.ecore.EClass getAdhocQueryQueryType()

  Specified by:
    `getAdhocQueryQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Adhoc Query Query Type'.
  See Also:
    `AdhocQueryQueryType`

### getAdhocQueryQueryType_QueryExpressionBranch

    public org.eclipse.emf.ecore.EReference getAdhocQueryQueryType_QueryExpressionBranch()

  Specified by:
    `getAdhocQueryQueryType_QueryExpressionBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Query Expression Branch'.
  See Also:
    `AdhocQueryQueryType.getQueryExpressionBranch()`, `QueryPackage.getAdhocQueryQueryType()`

### getAdhocQueryRequestType

    public org.eclipse.emf.ecore.EClass getAdhocQueryRequestType()

  Specified by:
    `getAdhocQueryRequestType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Adhoc Query Request Type'.
  See Also:
    `AdhocQueryRequestType`

### getAdhocQueryRequestType_ResponseOption

    public org.eclipse.emf.ecore.EReference getAdhocQueryRequestType_ResponseOption()

  Specified by:
    `getAdhocQueryRequestType_ResponseOption` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Response Option'.
  See Also:
    `AdhocQueryRequestType.getResponseOption()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryRequestType_AdhocQuery

    public org.eclipse.emf.ecore.EReference getAdhocQueryRequestType_AdhocQuery()

  Specified by:
    `getAdhocQueryRequestType_AdhocQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query'.
  See Also:
    `AdhocQueryRequestType.getAdhocQuery()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryRequestType_Federated

    public org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_Federated()

  Specified by:
    `getAdhocQueryRequestType_Federated` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Federated'.
  See Also:
    `AdhocQueryRequestType.isFederated()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryRequestType_Federation

    public org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_Federation()

  Specified by:
    `getAdhocQueryRequestType_Federation` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Federation'.
  See Also:
    `AdhocQueryRequestType.getFederation()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryRequestType_MaxResults

    public org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_MaxResults()

  Specified by:
    `getAdhocQueryRequestType_MaxResults` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Max Results'.
  See Also:
    `AdhocQueryRequestType.getMaxResults()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryRequestType_StartIndex

    public org.eclipse.emf.ecore.EAttribute getAdhocQueryRequestType_StartIndex()

  Specified by:
    `getAdhocQueryRequestType_StartIndex` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Start Index'.
  See Also:
    `AdhocQueryRequestType.getStartIndex()`, `QueryPackage.getAdhocQueryRequestType()`

### getAdhocQueryResponseType

    public org.eclipse.emf.ecore.EClass getAdhocQueryResponseType()

  Specified by:
    `getAdhocQueryResponseType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Adhoc Query Response Type'.
  See Also:
    `AdhocQueryResponseType`

### getAdhocQueryResponseType_RegistryObjectList

    public org.eclipse.emf.ecore.EReference getAdhocQueryResponseType_RegistryObjectList()

  Specified by:
    `getAdhocQueryResponseType_RegistryObjectList` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object List'.
  See Also:
    `AdhocQueryResponseType.getRegistryObjectList()`, `QueryPackage.getAdhocQueryResponseType()`

### getAdhocQueryResponseType_StartIndex

    public org.eclipse.emf.ecore.EAttribute getAdhocQueryResponseType_StartIndex()

  Specified by:
    `getAdhocQueryResponseType_StartIndex` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Start Index'.
  See Also:
    `AdhocQueryResponseType.getStartIndex()`, `QueryPackage.getAdhocQueryResponseType()`

### getAdhocQueryResponseType_TotalResultCount

    public org.eclipse.emf.ecore.EAttribute getAdhocQueryResponseType_TotalResultCount()

  Specified by:
    `getAdhocQueryResponseType_TotalResultCount` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Total Result Count'.
  See Also:
    `AdhocQueryResponseType.getTotalResultCount()`, `QueryPackage.getAdhocQueryResponseType()`

### getAssociationQueryType

    public org.eclipse.emf.ecore.EClass getAssociationQueryType()

  Specified by:
    `getAssociationQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Association Query Type'.
  See Also:
    `AssociationQueryType`

### getAssociationQueryType_AssociationTypeQuery

    public org.eclipse.emf.ecore.EReference getAssociationQueryType_AssociationTypeQuery()

  Specified by:
    `getAssociationQueryType_AssociationTypeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Type Query'.
  See Also:
    `AssociationQueryType.getAssociationTypeQuery()`, `QueryPackage.getAssociationQueryType()`

### getAssociationQueryType_SourceObjectQuery

    public org.eclipse.emf.ecore.EReference getAssociationQueryType_SourceObjectQuery()

  Specified by:
    `getAssociationQueryType_SourceObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Source Object Query'.
  See Also:
    `AssociationQueryType.getSourceObjectQuery()`, `QueryPackage.getAssociationQueryType()`

### getAssociationQueryType_TargetObjectQuery

    public org.eclipse.emf.ecore.EReference getAssociationQueryType_TargetObjectQuery()

  Specified by:
    `getAssociationQueryType_TargetObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Target Object Query'.
  See Also:
    `AssociationQueryType.getTargetObjectQuery()`, `QueryPackage.getAssociationQueryType()`

### getAuditableEventQueryType

    public org.eclipse.emf.ecore.EClass getAuditableEventQueryType()

  Specified by:
    `getAuditableEventQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Auditable Event Query Type'.
  See Also:
    `AuditableEventQueryType`

### getAuditableEventQueryType_AffectedObjectQuery

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryType_AffectedObjectQuery()

  Specified by:
    `getAuditableEventQueryType_AffectedObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Affected Object Query'.
  See Also:
    `AuditableEventQueryType.getAffectedObjectQuery()`, `QueryPackage.getAuditableEventQueryType()`

### getAuditableEventQueryType_EventTypeQuery

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryType_EventTypeQuery()

  Specified by:
    `getAuditableEventQueryType_EventTypeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Event Type Query'.
  See Also:
    `AuditableEventQueryType.getEventTypeQuery()`, `QueryPackage.getAuditableEventQueryType()`

### getAuditableEventQueryType_UserQuery

    public org.eclipse.emf.ecore.EReference getAuditableEventQueryType_UserQuery()

  Specified by:
    `getAuditableEventQueryType_UserQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'User Query'.
  See Also:
    `AuditableEventQueryType.getUserQuery()`, `QueryPackage.getAuditableEventQueryType()`

### getBooleanFilterType

    public org.eclipse.emf.ecore.EClass getBooleanFilterType()

  Specified by:
    `getBooleanFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Boolean Filter Type'.
  See Also:
    `BooleanFilterType`

### getBooleanFilterType_Value

    public org.eclipse.emf.ecore.EAttribute getBooleanFilterType_Value()

  Specified by:
    `getBooleanFilterType_Value` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `BooleanFilterType.isValue()`, `QueryPackage.getBooleanFilterType()`

### getBranchType

    public org.eclipse.emf.ecore.EClass getBranchType()

  Specified by:
    `getBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Branch Type'.
  See Also:
    `BranchType`

### getClassificationNodeQueryType

    public org.eclipse.emf.ecore.EClass getClassificationNodeQueryType()

  Specified by:
    `getClassificationNodeQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Node Query Type'.
  See Also:
    `ClassificationNodeQueryType`

### getClassificationNodeQueryType_ParentQuery

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ParentQuery()

  Specified by:
    `getClassificationNodeQueryType_ParentQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Parent Query'.
  See Also:
    `ClassificationNodeQueryType.getParentQuery()`, `QueryPackage.getClassificationNodeQueryType()`

### getClassificationNodeQueryType_ChildrenQuery

    public org.eclipse.emf.ecore.EReference getClassificationNodeQueryType_ChildrenQuery()

  Specified by:
    `getClassificationNodeQueryType_ChildrenQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Children Query'.
  See Also:
    `ClassificationNodeQueryType.getChildrenQuery()`, `QueryPackage.getClassificationNodeQueryType()`

### getClassificationQueryType

    public org.eclipse.emf.ecore.EClass getClassificationQueryType()

  Specified by:
    `getClassificationQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Query Type'.
  See Also:
    `ClassificationQueryType`

### getClassificationQueryType_ClassificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationSchemeQuery()

  Specified by:
    `getClassificationQueryType_ClassificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `ClassificationQueryType.getClassificationSchemeQuery()`, `QueryPackage.getClassificationQueryType()`

### getClassificationQueryType_ClassifiedObjectQuery

    public org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassifiedObjectQuery()

  Specified by:
    `getClassificationQueryType_ClassifiedObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classified Object Query'.
  See Also:
    `ClassificationQueryType.getClassifiedObjectQuery()`, `QueryPackage.getClassificationQueryType()`

### getClassificationQueryType_ClassificationNodeQuery

    public org.eclipse.emf.ecore.EReference getClassificationQueryType_ClassificationNodeQuery()

  Specified by:
    `getClassificationQueryType_ClassificationNodeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `ClassificationQueryType.getClassificationNodeQuery()`, `QueryPackage.getClassificationQueryType()`

### getClassificationSchemeQueryType

    public org.eclipse.emf.ecore.EClass getClassificationSchemeQueryType()

  Specified by:
    `getClassificationSchemeQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Classification Scheme Query Type'.
  See Also:
    `ClassificationSchemeQueryType`

### getClassificationSchemeQueryType_ChildrenQuery

    public org.eclipse.emf.ecore.EReference getClassificationSchemeQueryType_ChildrenQuery()

  Specified by:
    `getClassificationSchemeQueryType_ChildrenQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Children Query'.
  See Also:
    `ClassificationSchemeQueryType.getChildrenQuery()`, `QueryPackage.getClassificationSchemeQueryType()`

### getClassificationSchemeQueryType_NodeTypeQuery

    public org.eclipse.emf.ecore.EReference getClassificationSchemeQueryType_NodeTypeQuery()

  Specified by:
    `getClassificationSchemeQueryType_NodeTypeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Node Type Query'.
  See Also:
    `ClassificationSchemeQueryType.getNodeTypeQuery()`, `QueryPackage.getClassificationSchemeQueryType()`

### getCompoundFilterType

    public org.eclipse.emf.ecore.EClass getCompoundFilterType()

  Specified by:
    `getCompoundFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Compound Filter Type'.
  See Also:
    `CompoundFilterType`

### getCompoundFilterType_LeftFilter

    public org.eclipse.emf.ecore.EReference getCompoundFilterType_LeftFilter()

  Specified by:
    `getCompoundFilterType_LeftFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Left Filter'.
  See Also:
    `CompoundFilterType.getLeftFilter()`, `QueryPackage.getCompoundFilterType()`

### getCompoundFilterType_RightFilter

    public org.eclipse.emf.ecore.EReference getCompoundFilterType_RightFilter()

  Specified by:
    `getCompoundFilterType_RightFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Right Filter'.
  See Also:
    `CompoundFilterType.getRightFilter()`, `QueryPackage.getCompoundFilterType()`

### getCompoundFilterType_LogicalOperator

    public org.eclipse.emf.ecore.EAttribute getCompoundFilterType_LogicalOperator()

  Specified by:
    `getCompoundFilterType_LogicalOperator` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Logical Operator'.
  See Also:
    `CompoundFilterType.getLogicalOperator()`, `QueryPackage.getCompoundFilterType()`

### getDateTimeFilterType

    public org.eclipse.emf.ecore.EClass getDateTimeFilterType()

  Specified by:
    `getDateTimeFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Date Time Filter Type'.
  See Also:
    `DateTimeFilterType`

### getDateTimeFilterType_Value

    public org.eclipse.emf.ecore.EAttribute getDateTimeFilterType_Value()

  Specified by:
    `getDateTimeFilterType_Value` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `DateTimeFilterType.getValue()`, `QueryPackage.getDateTimeFilterType()`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `QueryPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `QueryPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `QueryPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `QueryPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AdhocQueryQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryQuery()

  Specified by:
    `getDocumentRoot_AdhocQueryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query Query'.
  See Also:
    `DocumentRoot.getAdhocQueryQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AdhocQueryRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryRequest()

  Specified by:
    `getDocumentRoot_AdhocQueryRequest` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query Request'.
  See Also:
    `DocumentRoot.getAdhocQueryRequest()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AdhocQueryResponse

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AdhocQueryResponse()

  Specified by:
    `getDocumentRoot_AdhocQueryResponse` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Adhoc Query Response'.
  See Also:
    `DocumentRoot.getAdhocQueryResponse()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AssociationQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AssociationQuery()

  Specified by:
    `getDocumentRoot_AssociationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Association Query'.
  See Also:
    `DocumentRoot.getAssociationQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_AuditableEventQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_AuditableEventQuery()

  Specified by:
    `getDocumentRoot_AuditableEventQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Auditable Event Query'.
  See Also:
    `DocumentRoot.getAuditableEventQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_BooleanFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_BooleanFilter()

  Specified by:
    `getDocumentRoot_BooleanFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Boolean Filter'.
  See Also:
    `DocumentRoot.getBooleanFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationNodeQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationNodeQuery()

  Specified by:
    `getDocumentRoot_ClassificationNodeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Node Query'.
  See Also:
    `DocumentRoot.getClassificationNodeQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationQuery()

  Specified by:
    `getDocumentRoot_ClassificationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Query'.
  See Also:
    `DocumentRoot.getClassificationQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ClassificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ClassificationSchemeQuery()

  Specified by:
    `getDocumentRoot_ClassificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Classification Scheme Query'.
  See Also:
    `DocumentRoot.getClassificationSchemeQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_CompoundFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_CompoundFilter()

  Specified by:
    `getDocumentRoot_CompoundFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Compound Filter'.
  See Also:
    `DocumentRoot.getCompoundFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_DateTimeFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_DateTimeFilter()

  Specified by:
    `getDocumentRoot_DateTimeFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Date Time Filter'.
  See Also:
    `DocumentRoot.getDateTimeFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ExternalIdentifierQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalIdentifierQuery()

  Specified by:
    `getDocumentRoot_ExternalIdentifierQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'External Identifier Query'.
  See Also:
    `DocumentRoot.getExternalIdentifierQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ExternalLinkQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExternalLinkQuery()

  Specified by:
    `getDocumentRoot_ExternalLinkQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'External Link Query'.
  See Also:
    `DocumentRoot.getExternalLinkQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ExtrinsicObjectQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ExtrinsicObjectQuery()

  Specified by:
    `getDocumentRoot_ExtrinsicObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Extrinsic Object Query'.
  See Also:
    `DocumentRoot.getExtrinsicObjectQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_FederationQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_FederationQuery()

  Specified by:
    `getDocumentRoot_FederationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Federation Query'.
  See Also:
    `DocumentRoot.getFederationQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_Filter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_Filter()

  Specified by:
    `getDocumentRoot_Filter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Filter'.
  See Also:
    `DocumentRoot.getFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_FloatFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_FloatFilter()

  Specified by:
    `getDocumentRoot_FloatFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Float Filter'.
  See Also:
    `DocumentRoot.getFloatFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_IntegerFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_IntegerFilter()

  Specified by:
    `getDocumentRoot_IntegerFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Integer Filter'.
  See Also:
    `DocumentRoot.getIntegerFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_NotificationQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_NotificationQuery()

  Specified by:
    `getDocumentRoot_NotificationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Notification Query'.
  See Also:
    `DocumentRoot.getNotificationQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_OrganizationQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_OrganizationQuery()

  Specified by:
    `getDocumentRoot_OrganizationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Organization Query'.
  See Also:
    `DocumentRoot.getOrganizationQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryObjectQuery()

  Specified by:
    `getDocumentRoot_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `DocumentRoot.getRegistryObjectQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryPackageQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryPackageQuery()

  Specified by:
    `getDocumentRoot_RegistryPackageQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Package Query'.
  See Also:
    `DocumentRoot.getRegistryPackageQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_RegistryQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_RegistryQuery()

  Specified by:
    `getDocumentRoot_RegistryQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Query'.
  See Also:
    `DocumentRoot.getRegistryQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ResponseOption

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ResponseOption()

  Specified by:
    `getDocumentRoot_ResponseOption` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Response Option'.
  See Also:
    `DocumentRoot.getResponseOption()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ServiceBindingQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceBindingQuery()

  Specified by:
    `getDocumentRoot_ServiceBindingQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Binding Query'.
  See Also:
    `DocumentRoot.getServiceBindingQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_ServiceQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ServiceQuery()

  Specified by:
    `getDocumentRoot_ServiceQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `DocumentRoot.getServiceQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SpecificationLinkQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SpecificationLinkQuery()

  Specified by:
    `getDocumentRoot_SpecificationLinkQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Specification Link Query'.
  See Also:
    `DocumentRoot.getSpecificationLinkQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_StringFilter

    public org.eclipse.emf.ecore.EReference getDocumentRoot_StringFilter()

  Specified by:
    `getDocumentRoot_StringFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'String Filter'.
  See Also:
    `DocumentRoot.getStringFilter()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_SubscriptionQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_SubscriptionQuery()

  Specified by:
    `getDocumentRoot_SubscriptionQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Subscription Query'.
  See Also:
    `DocumentRoot.getSubscriptionQuery()`, `QueryPackage.getDocumentRoot()`

### getDocumentRoot_UserQuery

    public org.eclipse.emf.ecore.EReference getDocumentRoot_UserQuery()

  Specified by:
    `getDocumentRoot_UserQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'User Query'.
  See Also:
    `DocumentRoot.getUserQuery()`, `QueryPackage.getDocumentRoot()`

### getExternalIdentifierQueryType

    public org.eclipse.emf.ecore.EClass getExternalIdentifierQueryType()

  Specified by:
    `getExternalIdentifierQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'External Identifier Query Type'.
  See Also:
    `ExternalIdentifierQueryType`

### getExternalIdentifierQueryType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getExternalIdentifierQueryType_RegistryObjectQuery()

  Specified by:
    `getExternalIdentifierQueryType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `ExternalIdentifierQueryType.getRegistryObjectQuery()`, `QueryPackage.getExternalIdentifierQueryType()`

### getExternalIdentifierQueryType_IdentificationSchemeQuery

    public org.eclipse.emf.ecore.EReference getExternalIdentifierQueryType_IdentificationSchemeQuery()

  Specified by:
    `getExternalIdentifierQueryType_IdentificationSchemeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Identification Scheme Query'.
  See Also:
    `ExternalIdentifierQueryType.getIdentificationSchemeQuery()`, `QueryPackage.getExternalIdentifierQueryType()`

### getExternalLinkQueryType

    public org.eclipse.emf.ecore.EClass getExternalLinkQueryType()

  Specified by:
    `getExternalLinkQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'External Link Query Type'.
  See Also:
    `ExternalLinkQueryType`

### getExtrinsicObjectQueryType

    public org.eclipse.emf.ecore.EClass getExtrinsicObjectQueryType()

  Specified by:
    `getExtrinsicObjectQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Extrinsic Object Query Type'.
  See Also:
    `ExtrinsicObjectQueryType`

### getExtrinsicObjectQueryType_ContentVersionInfoFilter

    public org.eclipse.emf.ecore.EReference getExtrinsicObjectQueryType_ContentVersionInfoFilter()

  Specified by:
    `getExtrinsicObjectQueryType_ContentVersionInfoFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Content Version Info Filter'.
  See Also:
    `ExtrinsicObjectQueryType.getContentVersionInfoFilter()`, `QueryPackage.getExtrinsicObjectQueryType()`

### getFederationQueryType

    public org.eclipse.emf.ecore.EClass getFederationQueryType()

  Specified by:
    `getFederationQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Federation Query Type'.
  See Also:
    `FederationQueryType`

### getFilterQueryType

    public org.eclipse.emf.ecore.EClass getFilterQueryType()

  Specified by:
    `getFilterQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Filter Query Type'.
  See Also:
    `FilterQueryType`

### getFilterQueryType_PrimaryFilter

    public org.eclipse.emf.ecore.EReference getFilterQueryType_PrimaryFilter()

  Specified by:
    `getFilterQueryType_PrimaryFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Primary Filter'.
  See Also:
    `FilterQueryType.getPrimaryFilter()`, `QueryPackage.getFilterQueryType()`

### getFilterType

    public org.eclipse.emf.ecore.EClass getFilterType()

  Specified by:
    `getFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Filter Type'.
  See Also:
    `FilterType`

### getFilterType_Negate

    public org.eclipse.emf.ecore.EAttribute getFilterType_Negate()

  Specified by:
    `getFilterType_Negate` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Negate'.
  See Also:
    `FilterType.isNegate()`, `QueryPackage.getFilterType()`

### getFloatFilterType

    public org.eclipse.emf.ecore.EClass getFloatFilterType()

  Specified by:
    `getFloatFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Float Filter Type'.
  See Also:
    `FloatFilterType`

### getFloatFilterType_Value

    public org.eclipse.emf.ecore.EAttribute getFloatFilterType_Value()

  Specified by:
    `getFloatFilterType_Value` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `FloatFilterType.getValue()`, `QueryPackage.getFloatFilterType()`

### getIntegerFilterType

    public org.eclipse.emf.ecore.EClass getIntegerFilterType()

  Specified by:
    `getIntegerFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Integer Filter Type'.
  See Also:
    `IntegerFilterType`

### getIntegerFilterType_Value

    public org.eclipse.emf.ecore.EAttribute getIntegerFilterType_Value()

  Specified by:
    `getIntegerFilterType_Value` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `IntegerFilterType.getValue()`, `QueryPackage.getIntegerFilterType()`

### getInternationalStringBranchType

    public org.eclipse.emf.ecore.EClass getInternationalStringBranchType()

  Specified by:
    `getInternationalStringBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'International String Branch Type'.
  See Also:
    `InternationalStringBranchType`

### getInternationalStringBranchType_LocalizedStringFilter

    public org.eclipse.emf.ecore.EReference getInternationalStringBranchType_LocalizedStringFilter()

  Specified by:
    `getInternationalStringBranchType_LocalizedStringFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Localized String Filter'.
  See Also:
    `InternationalStringBranchType.getLocalizedStringFilter()`, `QueryPackage.getInternationalStringBranchType()`

### getNotificationQueryType

    public org.eclipse.emf.ecore.EClass getNotificationQueryType()

  Specified by:
    `getNotificationQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Notification Query Type'.
  See Also:
    `NotificationQueryType`

### getNotificationQueryType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getNotificationQueryType_RegistryObjectQuery()

  Specified by:
    `getNotificationQueryType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Registry Object Query'.
  See Also:
    `NotificationQueryType.getRegistryObjectQuery()`, `QueryPackage.getNotificationQueryType()`

### getOrganizationQueryType

    public org.eclipse.emf.ecore.EClass getOrganizationQueryType()

  Specified by:
    `getOrganizationQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Organization Query Type'.
  See Also:
    `OrganizationQueryType`

### getOrganizationQueryType_AddressFilter

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_AddressFilter()

  Specified by:
    `getOrganizationQueryType_AddressFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Address Filter'.
  See Also:
    `OrganizationQueryType.getAddressFilter()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_TelephoneNumberFilter

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_TelephoneNumberFilter()

  Specified by:
    `getOrganizationQueryType_TelephoneNumberFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Telephone Number Filter'.
  See Also:
    `OrganizationQueryType.getTelephoneNumberFilter()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_EmailAddresseFilter

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_EmailAddresseFilter()

  Specified by:
    `getOrganizationQueryType_EmailAddresseFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Email Addresse Filter'.
  See Also:
    `OrganizationQueryType.getEmailAddresseFilter()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_ParentQuery

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_ParentQuery()

  Specified by:
    `getOrganizationQueryType_ParentQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Parent Query'.
  See Also:
    `OrganizationQueryType.getParentQuery()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_ChildOrganizationQuery

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_ChildOrganizationQuery()

  Specified by:
    `getOrganizationQueryType_ChildOrganizationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Child Organization Query'.
  See Also:
    `OrganizationQueryType.getChildOrganizationQuery()`, `QueryPackage.getOrganizationQueryType()`

### getOrganizationQueryType_PrimaryContactQuery

    public org.eclipse.emf.ecore.EReference getOrganizationQueryType_PrimaryContactQuery()

  Specified by:
    `getOrganizationQueryType_PrimaryContactQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Primary Contact Query'.
  See Also:
    `OrganizationQueryType.getPrimaryContactQuery()`, `QueryPackage.getOrganizationQueryType()`

### getPersonQueryType

    public org.eclipse.emf.ecore.EClass getPersonQueryType()

  Specified by:
    `getPersonQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Person Query Type'.
  See Also:
    `PersonQueryType`

### getPersonQueryType_AddressFilter

    public org.eclipse.emf.ecore.EReference getPersonQueryType_AddressFilter()

  Specified by:
    `getPersonQueryType_AddressFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Address Filter'.
  See Also:
    `PersonQueryType.getAddressFilter()`, `QueryPackage.getPersonQueryType()`

### getPersonQueryType_PersonNameFilter

    public org.eclipse.emf.ecore.EReference getPersonQueryType_PersonNameFilter()

  Specified by:
    `getPersonQueryType_PersonNameFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Person Name Filter'.
  See Also:
    `PersonQueryType.getPersonNameFilter()`, `QueryPackage.getPersonQueryType()`

### getPersonQueryType_TelephoneNumberFilter

    public org.eclipse.emf.ecore.EReference getPersonQueryType_TelephoneNumberFilter()

  Specified by:
    `getPersonQueryType_TelephoneNumberFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Telephone Number Filter'.
  See Also:
    `PersonQueryType.getTelephoneNumberFilter()`, `QueryPackage.getPersonQueryType()`

### getPersonQueryType_EmailAddresseFilter

    public org.eclipse.emf.ecore.EReference getPersonQueryType_EmailAddresseFilter()

  Specified by:
    `getPersonQueryType_EmailAddresseFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Email Addresse Filter'.
  See Also:
    `PersonQueryType.getEmailAddresseFilter()`, `QueryPackage.getPersonQueryType()`

### getQueryExpressionBranchType

    public org.eclipse.emf.ecore.EClass getQueryExpressionBranchType()

  Specified by:
    `getQueryExpressionBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Expression Branch Type'.
  See Also:
    `QueryExpressionBranchType`

### getQueryExpressionBranchType_QueryLanguageQuery

    public org.eclipse.emf.ecore.EReference getQueryExpressionBranchType_QueryLanguageQuery()

  Specified by:
    `getQueryExpressionBranchType_QueryLanguageQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Query Language Query'.
  See Also:
    `QueryExpressionBranchType.getQueryLanguageQuery()`, `QueryPackage.getQueryExpressionBranchType()`

### getRegistryObjectQueryType

    public org.eclipse.emf.ecore.EClass getRegistryObjectQueryType()

  Specified by:
    `getRegistryObjectQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Registry Object Query Type'.
  See Also:
    `RegistryObjectQueryType`

### getRegistryObjectQueryType_SlotBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_SlotBranch()

  Specified by:
    `getRegistryObjectQueryType_SlotBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Slot Branch'.
  See Also:
    `RegistryObjectQueryType.getSlotBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_NameBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_NameBranch()

  Specified by:
    `getRegistryObjectQueryType_NameBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Name Branch'.
  See Also:
    `RegistryObjectQueryType.getNameBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_DescriptionBranch

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_DescriptionBranch()

  Specified by:
    `getRegistryObjectQueryType_DescriptionBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Description Branch'.
  See Also:
    `RegistryObjectQueryType.getDescriptionBranch()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_VersionInfoFilter

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_VersionInfoFilter()

  Specified by:
    `getRegistryObjectQueryType_VersionInfoFilter` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Version Info Filter'.
  See Also:
    `RegistryObjectQueryType.getVersionInfoFilter()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ClassificationQuery

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ClassificationQuery()

  Specified by:
    `getRegistryObjectQueryType_ClassificationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Classification Query'.
  See Also:
    `RegistryObjectQueryType.getClassificationQuery()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ExternalIdentifierQuery

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ExternalIdentifierQuery()

  Specified by:
    `getRegistryObjectQueryType_ExternalIdentifierQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'External Identifier Query'.
  See Also:
    `RegistryObjectQueryType.getExternalIdentifierQuery()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_ObjectTypeQuery

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_ObjectTypeQuery()

  Specified by:
    `getRegistryObjectQueryType_ObjectTypeQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Object Type Query'.
  See Also:
    `RegistryObjectQueryType.getObjectTypeQuery()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_StatusQuery

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_StatusQuery()

  Specified by:
    `getRegistryObjectQueryType_StatusQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Status Query'.
  See Also:
    `RegistryObjectQueryType.getStatusQuery()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_SourceAssociationQuery

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_SourceAssociationQuery()

  Specified by:
    `getRegistryObjectQueryType_SourceAssociationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Source Association Query'.
  See Also:
    `RegistryObjectQueryType.getSourceAssociationQuery()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryObjectQueryType_TargetAssociationQuery

    public org.eclipse.emf.ecore.EReference getRegistryObjectQueryType_TargetAssociationQuery()

  Specified by:
    `getRegistryObjectQueryType_TargetAssociationQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Target Association Query'.
  See Also:
    `RegistryObjectQueryType.getTargetAssociationQuery()`, `QueryPackage.getRegistryObjectQueryType()`

### getRegistryPackageQueryType

    public org.eclipse.emf.ecore.EClass getRegistryPackageQueryType()

  Specified by:
    `getRegistryPackageQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Registry Package Query Type'.
  See Also:
    `RegistryPackageQueryType`

### getRegistryPackageQueryType_RegistryObjectQuery

    public org.eclipse.emf.ecore.EReference getRegistryPackageQueryType_RegistryObjectQuery()

  Specified by:
    `getRegistryPackageQueryType_RegistryObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Registry Object Query'.
  See Also:
    `RegistryPackageQueryType.getRegistryObjectQuery()`, `QueryPackage.getRegistryPackageQueryType()`

### getRegistryQueryType

    public org.eclipse.emf.ecore.EClass getRegistryQueryType()

  Specified by:
    `getRegistryQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Registry Query Type'.
  See Also:
    `RegistryQueryType`

### getRegistryQueryType_OperatorQuery

    public org.eclipse.emf.ecore.EReference getRegistryQueryType_OperatorQuery()

  Specified by:
    `getRegistryQueryType_OperatorQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Operator Query'.
  See Also:
    `RegistryQueryType.getOperatorQuery()`, `QueryPackage.getRegistryQueryType()`

### getResponseOptionType

    public org.eclipse.emf.ecore.EClass getResponseOptionType()

  Specified by:
    `getResponseOptionType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Response Option Type'.
  See Also:
    `ResponseOptionType`

### getResponseOptionType_ReturnComposedObjects

    public org.eclipse.emf.ecore.EAttribute getResponseOptionType_ReturnComposedObjects()

  Specified by:
    `getResponseOptionType_ReturnComposedObjects` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Return Composed Objects'.
  See Also:
    `ResponseOptionType.isReturnComposedObjects()`, `QueryPackage.getResponseOptionType()`

### getResponseOptionType_ReturnType

    public org.eclipse.emf.ecore.EAttribute getResponseOptionType_ReturnType()

  Specified by:
    `getResponseOptionType_ReturnType` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Return Type'.
  See Also:
    `ResponseOptionType.getReturnType()`, `QueryPackage.getResponseOptionType()`

### getServiceBindingQueryType

    public org.eclipse.emf.ecore.EClass getServiceBindingQueryType()

  Specified by:
    `getServiceBindingQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Service Binding Query Type'.
  See Also:
    `ServiceBindingQueryType`

### getServiceBindingQueryType_ServiceQuery

    public org.eclipse.emf.ecore.EReference getServiceBindingQueryType_ServiceQuery()

  Specified by:
    `getServiceBindingQueryType_ServiceQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Query'.
  See Also:
    `ServiceBindingQueryType.getServiceQuery()`, `QueryPackage.getServiceBindingQueryType()`

### getServiceBindingQueryType_SpecificationLinkQuery

    public org.eclipse.emf.ecore.EReference getServiceBindingQueryType_SpecificationLinkQuery()

  Specified by:
    `getServiceBindingQueryType_SpecificationLinkQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Specification Link Query'.
  See Also:
    `ServiceBindingQueryType.getSpecificationLinkQuery()`, `QueryPackage.getServiceBindingQueryType()`

### getServiceBindingQueryType_TargetBindingQuery

    public org.eclipse.emf.ecore.EReference getServiceBindingQueryType_TargetBindingQuery()

  Specified by:
    `getServiceBindingQueryType_TargetBindingQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Target Binding Query'.
  See Also:
    `ServiceBindingQueryType.getTargetBindingQuery()`, `QueryPackage.getServiceBindingQueryType()`

### getServiceQueryType

    public org.eclipse.emf.ecore.EClass getServiceQueryType()

  Specified by:
    `getServiceQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Service Query Type'.
  See Also:
    `ServiceQueryType`

### getServiceQueryType_ServiceBindingQuery

    public org.eclipse.emf.ecore.EReference getServiceQueryType_ServiceBindingQuery()

  Specified by:
    `getServiceQueryType_ServiceBindingQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Service Binding Query'.
  See Also:
    `ServiceQueryType.getServiceBindingQuery()`, `QueryPackage.getServiceQueryType()`

### getSimpleFilterType

    public org.eclipse.emf.ecore.EClass getSimpleFilterType()

  Specified by:
    `getSimpleFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Simple Filter Type'.
  See Also:
    `SimpleFilterType`

### getSimpleFilterType_Comparator

    public org.eclipse.emf.ecore.EAttribute getSimpleFilterType_Comparator()

  Specified by:
    `getSimpleFilterType_Comparator` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Comparator'.
  See Also:
    `SimpleFilterType.getComparator()`, `QueryPackage.getSimpleFilterType()`

### getSimpleFilterType_DomainAttribute

    public org.eclipse.emf.ecore.EAttribute getSimpleFilterType_DomainAttribute()

  Specified by:
    `getSimpleFilterType_DomainAttribute` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Domain Attribute'.
  See Also:
    `SimpleFilterType.getDomainAttribute()`, `QueryPackage.getSimpleFilterType()`

### getSlotBranchType

    public org.eclipse.emf.ecore.EClass getSlotBranchType()

  Specified by:
    `getSlotBranchType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Slot Branch Type'.
  See Also:
    `SlotBranchType`

### getSpecificationLinkQueryType

    public org.eclipse.emf.ecore.EClass getSpecificationLinkQueryType()

  Specified by:
    `getSpecificationLinkQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Specification Link Query Type'.
  See Also:
    `SpecificationLinkQueryType`

### getSpecificationLinkQueryType_UsageDescriptionBranch

    public org.eclipse.emf.ecore.EReference getSpecificationLinkQueryType_UsageDescriptionBranch()

  Specified by:
    `getSpecificationLinkQueryType_UsageDescriptionBranch` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Usage Description Branch'.
  See Also:
    `SpecificationLinkQueryType.getUsageDescriptionBranch()`, `QueryPackage.getSpecificationLinkQueryType()`

### getSpecificationLinkQueryType_ServiceBindingQuery

    public org.eclipse.emf.ecore.EReference getSpecificationLinkQueryType_ServiceBindingQuery()

  Specified by:
    `getSpecificationLinkQueryType_ServiceBindingQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Service Binding Query'.
  See Also:
    `SpecificationLinkQueryType.getServiceBindingQuery()`, `QueryPackage.getSpecificationLinkQueryType()`

### getSpecificationLinkQueryType_SpecificationObjectQuery

    public org.eclipse.emf.ecore.EReference getSpecificationLinkQueryType_SpecificationObjectQuery()

  Specified by:
    `getSpecificationLinkQueryType_SpecificationObjectQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Specification Object Query'.
  See Also:
    `SpecificationLinkQueryType.getSpecificationObjectQuery()`, `QueryPackage.getSpecificationLinkQueryType()`

### getStringFilterType

    public org.eclipse.emf.ecore.EClass getStringFilterType()

  Specified by:
    `getStringFilterType` in interface `QueryPackage`
  Returns:
    the meta object for class 'String Filter Type'.
  See Also:
    `StringFilterType`

### getStringFilterType_Value

    public org.eclipse.emf.ecore.EAttribute getStringFilterType_Value()

  Specified by:
    `getStringFilterType_Value` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `StringFilterType.getValue()`, `QueryPackage.getStringFilterType()`

### getSubscriptionQueryType

    public org.eclipse.emf.ecore.EClass getSubscriptionQueryType()

  Specified by:
    `getSubscriptionQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'Subscription Query Type'.
  See Also:
    `SubscriptionQueryType`

### getSubscriptionQueryType_SelectorQuery

    public org.eclipse.emf.ecore.EReference getSubscriptionQueryType_SelectorQuery()

  Specified by:
    `getSubscriptionQueryType_SelectorQuery` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference 'Selector Query'.
  See Also:
    `SubscriptionQueryType.getSelectorQuery()`, `QueryPackage.getSubscriptionQueryType()`

### getUserQueryType

    public org.eclipse.emf.ecore.EClass getUserQueryType()

  Specified by:
    `getUserQueryType` in interface `QueryPackage`
  Returns:
    the meta object for class 'User Query Type'.
  See Also:
    `UserQueryType`

### getComparatorType

    public org.eclipse.emf.ecore.EEnum getComparatorType()

  Specified by:
    `getComparatorType` in interface `QueryPackage`
  Returns:
    the meta object for enum 'Comparator Type'.
  See Also:
    `ComparatorType`

### getLogicalOperatorType

    public org.eclipse.emf.ecore.EEnum getLogicalOperatorType()

  Specified by:
    `getLogicalOperatorType` in interface `QueryPackage`
  Returns:
    the meta object for enum 'Logical Operator Type'.
  See Also:
    `LogicalOperatorType`

### getReturnTypeType

    public org.eclipse.emf.ecore.EEnum getReturnTypeType()

  Specified by:
    `getReturnTypeType` in interface `QueryPackage`
  Returns:
    the meta object for enum 'Return Type Type'.
  See Also:
    `ReturnTypeType`

### getComparatorTypeObject

    public org.eclipse.emf.ecore.EDataType getComparatorTypeObject()

  Specified by:
    `getComparatorTypeObject` in interface `QueryPackage`
  Returns:
    the meta object for data type 'Comparator Type Object'.
  See Also:
    `ComparatorType`

### getLogicalOperatorTypeObject

    public org.eclipse.emf.ecore.EDataType getLogicalOperatorTypeObject()

  Specified by:
    `getLogicalOperatorTypeObject` in interface `QueryPackage`
  Returns:
    the meta object for data type 'Logical Operator Type Object'.
  See Also:
    `LogicalOperatorType`

### getReturnTypeTypeObject

    public org.eclipse.emf.ecore.EDataType getReturnTypeTypeObject()

  Specified by:
    `getReturnTypeTypeObject` in interface `QueryPackage`
  Returns:
    the meta object for data type 'Return Type Type Object'.
  See Also:
    `ReturnTypeType`

### getQueryFactory

    public QueryFactory getQueryFactory()

  Specified by:
    `getQueryFactory` in interface `QueryPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD